org.eclipse.jetty.plus.annotation

## Class LifeCycleCallbackCollection

- java.lang.Object
- - org.eclipse.jetty.plus.annotation.LifeCycleCallbackCollection

    public class LifeCycleCallbackCollection
    extends Object

LifeCycleCallbackCollection

### Field Summary

Fields
`static String` `LIFECYCLE_CALLBACK_COLLECTION`

### Constructor Summary

Constructors
Constructor and Description
`LifeCycleCallbackCollection()`

### Method Summary

Methods
`void` `add(LifeCycleCallback callback)` Add a Callback to the list of callbacks.
`void` `callPostConstructCallback(Object o)` Call the method, if one exists, that is annotated with PostConstruct or with <post-construct> in web.xml
`void` `callPreDestroyCallback(Object o)` Call the method, if one exists, that is annotated with PreDestroy or with <pre-destroy> in web.xml
`List<LifeCycleCallback>` `getPostConstructCallbacks(Object o)`
`List<LifeCycleCallback>` `getPreDestroyCallbacks(Object o)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LIFECYCLE_CALLBACK_COLLECTION

    public static final String LIFECYCLE_CALLBACK_COLLECTION

See Also:
  Constant Field Values

### Constructor Detail

#### LifeCycleCallbackCollection

    public LifeCycleCallbackCollection()

### Method Detail

#### add

    public void add(LifeCycleCallback callback)

Add a Callback to the list of callbacks.

Parameters:
  `callback` -

#### getPreDestroyCallbacks

    public List<LifeCycleCallback> getPreDestroyCallbacks(Object o)

#### getPostConstructCallbacks

    public List<LifeCycleCallback> getPostConstructCallbacks(Object o)

#### callPostConstructCallback

    public void callPostConstructCallback(Object o)
                                   throws Exception

Call the method, if one exists, that is annotated with PostConstruct or with <post-construct> in web.xml

Parameters:
  `o` - the object on which to attempt the callback
Throws:
  `Exception`

#### callPreDestroyCallback

    public void callPreDestroyCallback(Object o)
                                throws Exception

Call the method, if one exists, that is annotated with PreDestroy or with <pre-destroy> in web.xml

Parameters:
  `o` - the object on which to attempt the callback
Throws:
  `Exception`